Results 1 to 11 of 11

Thread: Informix client

  1. #1
    Join Date
    Aug 2008
    Posts
    464

    Unanswered: Informix client

    Hi

    I would like to access Motorola's Informix database from a Windows 2003 server.
    Could you please let me know where I can get and configure the Informix client for Windows Server 2003?

    Regards
    Shajju

  2. #2
    Join Date
    Sep 2011
    Location
    Pont l'Abbé, Brittany, France
    Posts
    381
    Provided Answers: 1
    Hi,


    you must download IBM Informix CSDK, which is free of charge.
    You can find it here

    IBM software downloads - Trials and demos search results

    Check on which version the Motorala db engine is.

    if 11.70, take CSDK 3.70
    if 11.50, take CSDK 3.50
    if 11.10 take CSDK 3.10

    and choose the right platform ( windows 32 or windows 64, accordingly)

    Eric

  3. #3
    Join Date
    Aug 2008
    Posts
    464
    Thanks so much Eric.

    Sorry but how can I check which version the Mot DB Engine is?


    Regards
    Shajju

  4. #4
    Join Date
    Sep 2011
    Location
    Pont l'Abbé, Brittany, France
    Posts
    381
    Provided Answers: 1
    Hi Sajju,

    the most simple is to ask your DBA. Else, if you have access to the db server, login as informix, open a command line session, and type onstat -V

    this will return the version of your engine

    Eric

  5. #5
    Join Date
    Aug 2008
    Posts
    464
    Thanks Eric.......It's Version 10.00.UC9. So I suppose, way too old.

  6. #6
    Join Date
    Aug 2008
    Posts
    464
    The earliest available on IBM's website is v2.81 but not for platform HPUX 11.31. Only 11.23. We recently upgraded the OS on HPUX from 11.23 to 11.31.

    I have another option of installing the client on a Windows Server 2003 machine. For Win Server 2003, the earliest version of the SDK client too is v3.00.

  7. #7
    Join Date
    Sep 2011
    Location
    Pont l'Abbé, Brittany, France
    Posts
    381
    Provided Answers: 1
    Humm 10.00 is old, but it works. By the way I migrated weeks ago a 7.20 to 11.70 fc4 ...

    you'll see that many old versions have been running ( sometimes forgotten) since early 90's ....

    In any case, 10.00 is no more under support, and would definately consider upgrading to 11.70, if this is possible for you.

    According to the size of your instance, you can even take benefit of the free of charge Innovator-C version ( fully entitled licence for production ). Check this post to read about Innovator C advantages.

    Regarding hp-ux 11.23 and hp-ux 11.31, I would give a try. The most important is to have the CSDK to match your engine version. Check differences between both versions of hp-ux. If minor differences,( no library changes or equivalent) , this should work!

    Else the windows client is also a good solution.

  8. #8
    Join Date
    Aug 2008
    Posts
    464
    Thanks again Eric.

    I've downloaded CSDK v2.81 (the lowest I could find) for HPUX 11.23 hoping it will connect

    Regards
    Shajju

  9. #9
    Join Date
    Aug 2008
    Posts
    464
    though I would expect the latest SDK to work with engine version 10.00 too but hey, you're the expert.

  10. #10
    Join Date
    Aug 2008
    Posts
    464
    CSDK v2.81 was uploaded to IBM's website in 2004.

  11. #11
    Join Date
    May 2012
    Posts
    3
    Quote Originally Posted by begooden-it View Post
    Humm 10.00 is old, but it works. By the way I migrated weeks ago a 7.20 to 11.70 fc4 ...

    you'll see that many old versions have been running ( sometimes forgotten) since early 90's ....

    In any case, 10.00 is no more under support online life insurance, and would definately consider upgrading to 11.70, if this is possible for you.

    According to the size of your instance, you can even take benefit of the free of charge Innovator-C version ( fully entitled licence for production ). Check cheap health insurance to read about Innovator C advantages.

    Regarding hp-ux 11.23 and hp-ux 11.31, I would give a try. The most important is to have the CSDK to match your engine version. Check differences between both versions of hp-ux cheap contents insurance. If minor differences,( no library changes or equivalent) , this should work!

    Else the windows client is also a good solution.
    With New Structure

    if 11.70, take CSDK 3.70
    if 11.50, take CSDK 3.50
    if 11.10 take CSDK 3.10

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •